Web Apps - List Usages

Description for Gets the quota usage information of an app (or deployment slot, if specified).

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/usages?api-version=2022-03-01
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Web/sites/{name}/usages?api-version=2022-03-01&$filter={$filter}

URI Parameters

Name In Required Type Description
name
path True
  • string

Name of the app.

resourceGroupName
path True
  • string

Name of the resource group to which the resource belongs.

Regex pattern: ^[-\w\._\(\)]+[^\.]$

subscriptionId
path True
  • string

Your Azure subscription ID. This is a GUID-formatted string (e.g. 00000000-0000-0000-0000-000000000000).

api-version
query True
  • string

API Version

$filter
query
  • string

Return only information specified in the filter (using OData syntax). For example: $filter=(name.value eq 'Metric1' or name.value eq 'Metric2') and startTime eq 2014-01-01T00:00:00Z and endTime eq 2014-12-31T23:59:59Z and timeGrain eq duration'[Hour|Minute|Day]'.

Responses

Name Type Description
200 OK

OK

Other Status Codes

App Service error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Definitions

CsmUsageQuota

Usage of the quota resource.

CsmUsageQuotaCollection

Collection of CSM usage quotas.

DefaultErrorResponse

App Service error response.

Details
Error

Error model.

LocalizableString

Localizable string object containing the name and a localized value.

CsmUsageQuota

Usage of the quota resource.

Name Type Description
currentValue
  • integer

The current value of the resource counter.

limit
  • integer

The resource limit.

name

Quota name.

nextResetTime
  • string

Next reset time for the resource counter.

unit
  • string

Units of measurement for the quota resource.

CsmUsageQuotaCollection

Collection of CSM usage quotas.

Name Type Description
nextLink
  • string

Link to next page of resources.

value

Collection of resources.

DefaultErrorResponse

App Service error response.

Name Type Description
error

Error model.

Details

Name Type Description
code
  • string

Standardized string to programmatically identify the error.

message
  • string

Detailed error description and debugging information.

target
  • string

Detailed error description and debugging information.

Error

Error model.

Name Type Description
code
  • string

Standardized string to programmatically identify the error.

details

Detailed errors.

innererror
  • string

More information to debug error.

message
  • string

Detailed error description and debugging information.

target
  • string

Detailed error description and debugging information.

LocalizableString

Localizable string object containing the name and a localized value.

Name Type Description
localizedValue
  • string

Localized name.

value
  • string

Non-localized name.